Serial: 1
%define module_version 0.06
%define module_name WebService-GData
# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(JSON.pm) perl(LWP.pm) perl(LWP/Simple.pm) perl(LWP/UserAgent.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Socket.pm) perl(Test/Mock/LWP.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(overload.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.06
Release: alt2
Summary: Google data protocol v2.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/S/SZ/SZABGAB/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
WebService::GData module intends to implement the Google Data protocol and implements some services that use this protocol, like YouTube.

This package is a blueprint that most packages in this module inherit from. It offers a simple hashed based object creation mechanism via the word new. 

If you want to pock into the instance, it's easy but everything that is not documented 
should be considered private. If you play around with undocumented properties/methods and that it changes,upgrading to the new version with all 
the extra new killer features will be very hard to do. 

so...

dont.

As an example, the following classes extend the WebService::GData manpage to implement their feature:

=over

=item the WebService::GData::Base manpage

Implements the base get/post/insert/update/delete methods via HTTP for the Google data protocol.

=item the WebService::GData::ClientLogin manpage

Implements the ClientLogin authorization system.

=item the WebService::GData::Error manpage

Represents a Google data protocol Error.

=item the WebService::GData::Query manpage

Implements the basic query parameters and create a query string.

=item the WebService::GData::Feed manpage

Represents the basic tags found in a Atom Feed (JSON format).

=back

A service in progress:

=over

=item the WebService::GData::YouTube manpage

Implements parts of the YouTube API .

=back


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/W*

%changelog
* Sat Oct 19 2013 Igor Vlasenko <viy@altlinux.ru> 1:0.06-alt2
- regenerated from template by package builder

* Tue Sep 10 2013 Igor Vlasenko <viy@altlinux.ru> 0.0501-alt1
- initial import by package builder

